Package fr.gouv.vitam.common.model.administration

# Class SecurityProfileModel

java.lang.Object
fr.gouv.vitam.common.model.administration.SecurityProfileModel

public class SecurityProfileModel extends Object
Data Transfer Object Model of security profile (DTO).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecurityProfileModel()`
  Default constructor for jackson
  `SecurityProfileModel(String id, String identifier, String name, boolean fullAccess, Set<String> permissions)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getFullAccess()`
  `String`
  `getId()`
  `String`
  `getIdentifier()`
  Get the identifier of the security profile
  `String`
  `getName()`
  Get name of the security profile
  `Set<String>`
  `getPermissions()`
  Gets the set of permissions of the security profile.
  `Integer`
  `getVersion()`
  `void`
  `setFullAccess(Boolean fullAccess)`
  Sets / unsets full access to all permissions for security profile.
  `void`
  `setId(String id)`
  `void`
  `setIdentifier(String identifier)`
  Set the identifier of the security profile.
  `void`
  `setName(String name)`
  Set or change the security profile name
  `void`
  `setPermissions(Set<String> permissions)`
  Sets the permission set of the security profile.
  `void`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SecurityProfileModel

    public SecurityProfileModel()
    Default constructor for jackson

  - ### SecurityProfileModel

    public SecurityProfileModel(String id, String identifier, String name, boolean fullAccess, Set<String> permissions)
    Constructor
    Parameters:
      `id` - unique identifier
      `identifier` - the identifier of the security profile. This value must be unique.
      `name` - security profile name
      `fullAccess` - defines whether security profile has full access to all permissions.
      `permissions` - set of permissions of the security profile (should not be defined when fullAccess is true)

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - value to set

  - ### getVersion

    public Integer getVersion()
    Returns:
      version

  - ### setVersion

    public void setVersion(Integer version)
    Parameters:
      `version` -

  - ### getIdentifier

    public String getIdentifier()
    Get the identifier of the security profile
    Returns:
      String

  - ### setIdentifier

    public void setIdentifier(String identifier)
    Set the identifier of the security profile. This value must be unique.
    Parameters:
      `identifier` -

  - ### getName

    public String getName()
    Get name of the security profile
    Returns:
      name as String

  - ### setName

    public void setName(String name)
    Set or change the security profile name
    Parameters:
      `name` - as String to set

  - ### getFullAccess

    public Boolean getFullAccess()
    Returns:
      true if security profile has full access to all permissions. false otherwise. When set to true, all permissions are granted and "Permissions" set is ignored and should not be set.

  - ### setFullAccess

    public void setFullAccess(Boolean fullAccess)
    Sets / unsets full access to all permissions for security profile. When set to true, all permissions are granted and "Permissions" set is ignored and should not be set.
    Parameters:
      `fullAccess` -

  - ### getPermissions

    public Set<String> getPermissions()
    Gets the set of permissions of the security profile.
    Returns:
      the

  - ### setPermissions

    public void setPermissions(Set<String> permissions)
    Sets the permission set of the security profile. Should not be defined when fullAccess is true
    Parameters:
      `permissions` -